@import url("https://fonts.googleapis.com/css2?family=Roboto&family=Secular+One&display=swap");
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css");

:root {
  --white: #fff;
  --main-color: grey;
  --secondary-color: #717b7c;
  --main-action: rgb(27, 139, 252);
  --secondary-action: #125393;
  --radius: 4px;
  --shadow: rgba(0, 0, 0, 0.24) 0px 3px 0.5rem;
  --font-1: "Roboto", sans-serif;
  --font-2: "Secular One", sans-serif;
  --background-light: #ececec;
  --background-secondary: #e7e7e7;
  --grid-columns: 20px repeat(3, minmax(0, 1fr));
}

* {
  font-family: var(--font-1);
  transition: ease-out 0.2s all;
}

/* Theme by nun */
.angelica {
  --main-action: #745997;
  --secondary-action: #524262;
  --white: #faf7ff;
}
.ann-marie {
  --main-action: #a66d30;
  --secondary-action: #754d22;
  --white: #f6f2ed;
}
.bernadette {
  --main-action: #9f3131;
  --secondary-action: #6b2121;
  --white: #fbf2f2;
}
.celeste {
  --main-action: #909128;
  --secondary-action: #5e5f1b;
  --white: #fbfbf3;
}
.margaret {
  --main-action: #38a517;
  --secondary-action: #24690e;
  --white: #f5fbf3;
}
.theresa {
  --main-action: #2e68c0;
  --secondary-action: #1d4684;
  --white: #f0f4fa;
}

html {
  height: 100%;
}

body {
  padding: 0;
  margin: 0;
  background-color: var(--white);
}

.form {
  box-sizing: border-box;
  max-width: 768px;
  margin: 0 auto;
  background-color: var(--white);
}

.sheet-form {
  display: none;
}

/* Header */

.sheet-header {
  border-bottom: 1px solid var(--background-light);
}

.sheet-header > div {
  align-items: center;
  display: flex;
  gap: 1.5rem;
  padding: 1rem;
  position: relative;
}

.sheet-header > div label {
  align-items: center;
  color: var(--main-color);
  font-family: var(--font-2);
  font-size: 1.2rem;
  height: 26px;
}

.sheet-header .select-wrapper {
  width: 130px;
}

/* Nuns pics */

.nun-pic {
  background-repeat: no-repeat;
  background-size: contain;
  bottom: 0;
  position: absolute;
  right: 0.5rem;
  top: 0.5rem;
  width: 55px;
}

.angelica .nun-pic {
  background-image: url(./docs/assets/nuns/angelica.png);
}
.ann-marie .nun-pic {
  background-image: url(./docs/assets/nuns/ann-marie.png);
}
.bernadette .nun-pic {
  background-image: url(./docs/assets/nuns/bernadette.png);
}
.celeste .nun-pic {
  background-image: url(./docs/assets/nuns/celeste.png);
}
.margaret .nun-pic {
  background-image: url(./docs/assets/nuns/margaret.png);
}
.theresa .nun-pic {
  background-image: url(./docs/assets/nuns/theresa.png);
}

/* Sheets lines */

.sheet-title {
  align-items: center;
  background-color: var(--background-secondary);
  color: var(--main-color);
  display: grid;
  font-size: 1.2rem;
  grid-gap: 0.5em;
  grid-template-columns: var(--grid-columns);
  height: 26px;
  padding: 1rem;
}

.sheet-title > div {
  font-family: var(--font-2);
}

.sheet-rows {
  border-bottom: 1px solid var(--background-light);
  padding: 1rem;
}

.sheet-row {
  display: grid;
  grid-gap: 0.5em;
  grid-template-columns: var(--grid-columns);
  margin-bottom: 1rem;
}

.sheet-row:last-child {
  margin-bottom: 0;
}

.sheet-buttons {
  padding: 1rem;
}

.round {
  align-self: center;
  color: var(--main-color);
  font-family: var(--font-2);
  font-size: 1.2rem;
  justify-self: center;
}

.movement::after {
  content: "Mvmt";
}

.sheet-buttons button {
  width: 100%;
  margin: 10px 0;
}

.select-wrapper {
  position: relative;
}

.select-wrapper::before {
  -webkit-font-smoothing: antialiased;
  align-items: center;
  bottom: 1px;
  color: var(--secondary-action);
  content: "\f078";
  display: flex;
  font: var(--fa-font-solid);
  justify-content: center;
  position: absolute;
  right: 1px;
  text-rendering: auto;
  top: 1px;
  width: 32px;
}

.select-wrapper.disabled::before {
  display: none;
}

.select-wrapper span {
  color: var(--main-color);
}

.select-wrapper span.key {
  font-size: 36px;
}

.select-wrapper span.wish {
  font-size: 28px;
}

input,
select {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: transparent;
  border-radius: var(--radius);
  border: 1px solid var(--main-color);
  font-size: 1rem;
  padding: 0.5rem;
  text-indent: 1px;
  text-overflow: "";
}

input[disabled],
select:not(.nun)[disabled] {
  background-color: transparent;
  border-color: transparent;
  color: var(--secondary-color);
  opacity: 1;
}

input:focus-visible,
select:focus-visible {
  outline: 3px solid var(--main-action);
}

.select-wrapper select {
  padding-right: 32px;
  position: relative;
  width: 100%;
  z-index: 1;
}

/* Buttons */

.button {
  align-items: center;
  border-radius: 8px;
  display: flex;
  font-size: 1rem;
  gap: 8px;
  height: 42px;
  justify-content: center;
  min-width: 70px;
  padding: 0.5rem 1rem;
}

.button.button-primary {
  background-color: var(--main-action);
  border: none;
  color: var(--white);
}

.button.button-primary:hover:not[disabled] {
  background-color: var(--secondary-action);
  cursor: pointer;
}

.button.button-secondary {
  background-color: var(--white);
  border: 2px solid var(--main-action);
  color: var(--main-action);
  font-size: 1rem;
  height: 42px;
  padding: 0.5rem 1rem;
}

.button.button-secondary:hover:not[disabled] {
  border-color: var(--secondary-action);
  color: var(--secondary-action);
  cursor: pointer;
}

.button:focus-visible {
  outline-offset: 3px;
  outline: 3px solid var(--main-action);
}

/* Modal */

.modal {
  background-color: rgba(0, 0, 0, 0.4);
  height: 100%;
  left: 0;
  opacity: 0;
  overflow: auto;
  padding-top: 100px;
  pointer-events: none;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.modal.open {
  opacity: 1;
  pointer-events: all;
}

.modal-content {
  background-color: var(--white);
  border-radius: var(--radius);
  box-shadow: var(--shadow);
  margin: auto;
  padding-top: 3rem;
  padding: 2rem;
  position: relative;
  text-align: center;
  width: fit-content;
}

.modal.open .modal-content {
  transform: scale(1);
}

.modal-content div {
  display: flex;
  gap: 12px;
  justify-content: center;
  margin-top: 30px;
}

.modal-content button {
  min-width: 120px;
}

.close {
  color: var(--main-color);
  cursor: pointer;
  font-size: 28px;
  font-weight: bold;
  position: absolute;
  right: 14px;
  top: 14px;
}

/* Empty game */
.sheet-empty {
  color: var(--main-color);
  font-family: var(--font-2);
  font-size: 1.5rem;
  margin-top: 24px;
  text-align: center;
}

@media only screen and (min-width: 768px) {
  html {
    background-attachment: fixed;
    background-image: radial-gradient(var(--main-color) 1px, transparent 1px);
    background-size: 32px 32px;
  }

  body {
    background-color: unset;
  }

  .form {
    border-radius: 8px;
    border-radius: var(--radius);
    box-shadow: var(--shadow);
    margin-top: 5rem;
  }

  .sheet-header {
    background-color: var(--white);
    box-shadow: var(--shadow);
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
  }

  .sheet-header > div {
    margin: 0 auto;
    max-width: 768px;
  }

  .sheet-buttons {
    display: flex;
    flex-direction: row-reverse;
    gap: 1rem;
    justify-content: center;
  }

  .sheet-buttons button {
    margin: 0;
  }

  .modal-content {
    transform: scale(2);
  }

  .nun-pic {
    right: 1rem;
  }

  .sheet-empty {
    margin-top: 96px;
  }

  .movement::after {
    content: "Movement";
  }
}
